Bug 863437 - Review Request: webrtc-audio-processing - echo cancellation for Pulse Audio
Review Request: webrtc-audio-processing - echo cancellation for Pulse Audio
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 09:29 EDT by Christian Fredrik Kalager Schaller
Modified: 2012-10-09 12:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 11:57:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yaneti: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christian Fredrik Kalager Schaller 2012-10-05 09:29:20 EDT
Spec URL: http://uraeus.fedorapeople.org/rpm-staging/webrtc-audio-processing.spec
SRPM URL: http://uraeus.fedorapeople.org/rpm-staging/webrtc-audio-processing-0.1-1.fc17.src.rpm
Description: This containts the webrtc echo cancellation module released by Google. It has been cleaned up and packaged as a library for use by among others Pulse Audio.
Fedora Account System Username:uraeus
Comment 1 Christian Fredrik Kalager Schaller 2012-10-05 09:54:05 EDT
Thought I should also link to the upstream project:
http://www.freedesktop.org/software/pulseaudio/webrtc-audio-processing/
Comment 2 Yanko Kaneti 2012-10-05 10:21:05 EDT
...reviewing the updated spec which doesn't match the SRPM because the srpm wasn't updated...

License matches.
Source matches upstream.
Name seems reasonable. Doesn't conflict with anything existing.
Library versioned reasonably.
Include files unique and separate enough.

- You should add the PATENTS files to %doc
- There is a stray "i" on the first description line, please remove

APPROVED
Comment 3 Yanko Kaneti 2012-10-05 10:26:12 EDT
Builds in mock.
rpmmlint..
webrtc-audio-processing.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/webrtc-audio-processing-0.1/AUTHORS
webrtc-audio-processing-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
..harmless
Comment 4 Christian Fredrik Kalager Schaller 2012-10-05 10:28:32 EDT
ok, two suggested fixes included. Will proceed with getting this packaged during the weekend. Thanks for the quick review.
Comment 5 Christian Fredrik Kalager Schaller 2012-10-06 04:08:46 EDT
New Package SCM Request
=======================
Package Name: webrtc-audio-processing
Short Description: Echo cancellation module for PulseAudio and others
Owners: uraeus, rishi
Branches: f17,f18
InitialCC: bpebble, rdieter
Comment 6 Christian Fredrik Kalager Schaller 2012-10-08 06:57:39 EDT
Updated SRPM to match current spec file
Comment 7 Jason Tibbitts 2012-10-08 12:34:21 EDT
"bpebble" is not a valid account name.
Comment 8 Christian Fredrik Kalager Schaller 2012-10-09 03:39:44 EDT
No matter, Brian can add himself later on. Please go ahead and create the module without him on the cc list.
Comment 9 Yanko Kaneti 2012-10-09 04:01:55 EDT
New Package SCM Request
=======================
Package Name: webrtc-audio-processing
Short Description: Echo cancellation module for PulseAudio and others
Owners: uraeus rishi
Branches: f17 f18
InitialCC: bpepple rdieter
Comment 10 Gwyn Ciesla 2012-10-09 07:14:00 EDT
Git done (by process-git-requests).
Comment 11 Gwyn Ciesla 2012-10-09 12:06:34 EDT
Already done.

Note You need to log in before you can comment on or make changes to this bug.